How can I use VB.net Programming in SOLID WORKS API programming?

I wants to design a part model in solid works by API programming,
but I wants to use VB.NET for proggraming,

How can I ineterface that,

1 Answer

Bit of a loaded question, you should start with some basic part before you have it building large parts.
You should check out the help file great resource http://help.solidworks.com/2014/English/api/sldworksapiprogguide/Welcome.htm

Make sure to include Sub Main

Dim swApp As SldWorks.SldWorks
swApp = New SldWorks.SldWorks()

swApp.ExitApp

swApp = Nothing

End Sub

You also need to make sure that you have references to solidworks libraries
http://help.solidworks.com/2014/English/api/sldworksapiprogguide/Overview/Type_Libraries.htm

Lastly this video may help with getting started.
https://www.youtube.com/watch?v=aoXJGKAwhbc